# pacemaker_cluster – Manage pacemaker clusters

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- This module can manage a pacemaker cluster and nodes from Ansible using the pacemaker cli.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

force
boolean

Choices:
- no
- yes ←

Force the change of the cluster state

node - |  | Specify which node of the cluster you want to manage. None == the cluster status itself, 'all' == check the status of all nodes.

state
- / required

Choices:
- cleanup
- offline
- online
- restart

Indicate desired state of the cluster

timeout - | Default: 300 | Timeout when the module should considered that the action has failed

## Examples

    ---
    - name: Set cluster Online
      hosts: localhost
      gather_facts: no
      tasks:
      - name: Get cluster state
        pacemaker_cluster:
          state: online

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | True if the cluster state has changed
out string | always | The output of the current state of the cluster. It return a list of the nodes state. Sample: out: [[" overcloud-controller-0", " Online"]]}
rc boolean | always | exit code of the module

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Mathieu Bultel (@matbu)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.